Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class LRSProxyCollection

    java.lang.Object
      org.apache.openjpa.util.AbstractLRSProxyCollection
          org.apache.openjpa.jdbc.meta.strats.LRSProxyCollection

All Implemented Interfaces:
  Iterable, Collection, Set, org.apache.commons.collections.Predicate, ChangeTracker, CollectionChangeTracker, LRSProxy, Proxy

    public class LRSProxyCollection

extends AbstractLRSProxyCollection

Large result set collection.

Author:
  Abe White

Constructor Summary
`LRSProxyCollection(LRSCollectionFieldStrategy strat)`

Method Summary
`protected int` | `count()` Return the number of elements in the collection, or `Integer.MAX_VALUE`.
`protected boolean` | `has(Object obj)` Return whether the collection contains the given element.
`protected Iterator` | `itr()` Implement this method to return an iterator over the contents of the collection.

Methods inherited from class org.apache.openjpa.util.AbstractLRSProxyCollection
`add, addAll, added, clear, contains, containsAll, copy, evaluate, getAdded, getChanged, getChangeTracker, getNextSequence, getOwner, getOwnerField, getRemoved, isEmpty, isTracking, iterator, remove, removeAll, removed, retainAll, setNextSequence, setOwner, size, startTracking, stopTracking, toArray, toArray, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Set
`equals, hashCode`

Constructor Detail

### LRSProxyCollection

    public LRSProxyCollection(LRSCollectionFieldStrategy strat)

Method Detail

### count

    protected int count()

  Description copied from class: `AbstractLRSProxyCollection`
  Return the number of elements in the collection, or `Integer.MAX_VALUE`.

  Specified by:
    `count` in class `AbstractLRSProxyCollection`

### has

    protected boolean has(Object obj)

  Description copied from class: `AbstractLRSProxyCollection`
  Return whether the collection contains the given element.

  Specified by:
    `has` in class `AbstractLRSProxyCollection`

### itr

    protected Iterator itr()

  Description copied from class: `AbstractLRSProxyCollection`
  Implement this method to return an iterator over the contents of the collection. This method may be invoked multiple times. The returned iterator does not have to support the `Iterator.remove()` method, and may implement `Closeable`.

  Specified by:
    `itr` in class `AbstractLRSProxyCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.